Package: java.time

## [Java] Class LocalTime

- java.time.LocalTime

-     public class LocalTime
      extends Object

  GDK enhancements for LocalTime.

  displayName:
    LocalTime
  receiverFqcn:
    java.time.LocalTime

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public String` | `format(String pattern)` Formats this time with the provided DateTimeFormatter pattern.
    `` | `public String` | `format(FormatStyle timeStyle)` Formats this time in the provided, localized FormatStyle.
    `` | `public String` | `getTimeString()` Formats this time with the DateTimeFormatter.ISO_LOCAL_TIME formatter.
    `` | `public LocalDateTime` | `leftShift(LocalDate date)` Returns a LocalDateTime of this time and the provided LocalDate.
    `` | `public OffsetTime` | `leftShift(ZoneOffset offset)` Returns an OffsetTime of this time and the provided ZoneOffset.
    `` | `public LocalTime` | `minus(long seconds)` Returns a LocalTime that is `seconds` seconds before this time.
    `` | `public LocalTime` | `next()` Returns a LocalTime that is one second after this time.
    `` | `public static LocalTime` | `parse(LocalTime type, CharSequence text, String pattern)` Parse text into a LocalTime using the provided pattern.
    `` | `public LocalTime` | `plus(long seconds)` Returns a LocalTime that is `seconds` seconds after this time.
    `` | `public LocalTime` | `previous()` Returns a LocalTime that is one second before this time.
    `` | `public Calendar` | `toCalendar()` Returns a generally equivalent instance of Calendar.
    `` | `public Date` | `toDate()` Returns a generally equivalent instance of Date.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `addShutdownHook, any, any, asBoolean, asType, clamp, clamp, collect, collect, collect, dump, each, eachMatch, eachMatch, eachWithIndex, every, every, find, find, findAll, findAll, findIndexOf, findIndexOf, findIndexValues, findIndexValues, findLastIndexOf, findLastIndexOf, findResult, findResult, findResult, findResult, getAt, getMetaClass, getMetaPropertyValues, getProperties, grep, grep, hasProperty, identity, inject, inject, inject, inject, inspect, invokeMethod, is, isCase, isNotCase, iterator, metaClass, print, print, printf, printf, println, println, println, putAt, respondsTo, respondsTo, setMetaClass, sleep, sleep, split, sprintf, sprintf, stream, takeIf, tap, toString, use, use, use, with, with, withCloseable, withCloseable, withMethodClosure, withStream, withStream, withTraits`

- - ### Method Detail

    - #### public String format(String pattern)

      Formats this time with the provided DateTimeFormatter pattern.

      Parameters:
        `pattern` - the formatting pattern
      Returns:
        a formatted String
      See Also:
        DateTimeFormatter
      Since:
        2.5.0

    - #### public String format(FormatStyle timeStyle)

      Formats this time in the provided, localized FormatStyle.

      Parameters:
        `timeStyle` - the FormatStyle
      Returns:
        a formatted String
      See Also:
        DateTimeFormatter
      Since:
        2.5.0

    - #### public String getTimeString()

      Formats this time with the DateTimeFormatter.ISO_LOCAL_TIME formatter.

      Returns:
        a formatted String
      See Also:
        DateTimeFormatter
      Since:
        2.5.0

    - #### public LocalDateTime leftShift(LocalDate date)

      Returns a LocalDateTime of this time and the provided LocalDate.

      Parameters:
        `date` - a LocalDate
      Returns:
        a LocalDateTime
      Since:
        2.5.0

    - #### public OffsetTime leftShift(ZoneOffset offset)

      Returns an OffsetTime of this time and the provided ZoneOffset.

      Parameters:
        `offset` - a ZoneOffset
      Returns:
        an OffsetTime
      Since:
        2.5.0

    - #### public LocalTime minus(long seconds)

      Returns a LocalTime that is `seconds` seconds before this time.

      Parameters:
        `seconds` - the number of seconds to subtract
      Returns:
        a LocalTime
      Since:
        2.5.0

    - #### public LocalTime next()

      Returns a LocalTime that is one second after this time.

      Returns:
        a LocalTime
      Since:
        2.5.0

    - #### public static LocalTime parse(LocalTime type, CharSequence text, String pattern)

      Parse text into a LocalTime using the provided pattern.

      throws:
        java.lang.IllegalArgumentException if the pattern is invalid
      throws:
        java.time.format.DateTimeParseException if the text cannot be parsed
      Parameters:
        `type` - placeholder variable used by Groovy categories; ignored for default static methods
        `text` - String to be parsed to create the date instance
        `pattern` - pattern used to parse the text
      Returns:
        a LocalTime representing the parsed text
      See Also:
        DateTimeFormatter
        LocalTime.parse
      Since:
        2.5.0

    - #### public LocalTime plus(long seconds)

      Returns a LocalTime that is `seconds` seconds after this time.

      Parameters:
        `seconds` - the number of seconds to add
      Returns:
        a LocalTime
      Since:
        2.5.0

    - #### public LocalTime previous()

      Returns a LocalTime that is one second before this time.

      Returns:
        a LocalTime
      Since:
        2.5.0

    - #### public Calendar toCalendar()

      Returns a generally equivalent instance of Calendar. The day-month-year value of the returned calendar is today, the time is truncated to milliseconds, and the time zone is the current system default.

      Returns:
        a java.util.Calendar
      Since:
        2.5.0

    - #### public Date toDate()

      Returns a generally equivalent instance of Date. The day-month-year value of the returned date is today and the time is truncated to milliseconds.

      Returns:
        a java.util.Date
      Since:
        2.5.0